#
# spec file for package perl-Readonly (Version 1.03)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Readonly
%define cpan_name %( echo %{name} | %{__sed} -e 's,perl-,,' )
Summary:        Facility for creating read-only scalars, arrays, hashes
Version:        1.03
Release:        8.2
License:        Artistic License, GPL, see package
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Readonly/
Source0:        %{cpan_name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More)
Provides:       %{cpan_name}

%description
Readonly.pm provides a facility for creating non-modifiable scalars,
arrays, and hashes.

Authors:
    Eric J. Roode, roode@cpan.org

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/benchmark.pl
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root)
%doc Changes README benchmark.pl

%changelog
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Mar 16 2010 chris@computersalat.de
- fix header
- fix deps for perl-macros
* Sun Feb 21 2010 chris@computersalat.de
- cleanup spec
  o fixed Header
  o sort tags
  o added perl-macros (perl_gen_filelist)
  o removed noarch
  o fixed deps
  o moved benchmark.pl to doc
  o moved changelog to changes file
  o bzipped SOURCE
* Wed Oct 21 2009 rschweikert@novell.com
- Add changes file
- Cleanup %%changelog to only have initial build entry
* Mon Oct 12 2009 rschweikert@novell.com
- Initial build.
